/** Assoziativspeicher zur Implementierung von CallByName
 * Diese Klasse implementiert einen Assoziativspeicher, der
 * Paare (String, int) speichert.
 * 
 * @author Marc-Oliver Pahl
 */
import java.util.Hashtable;
public class Assoziativspeicher {
	static Hashtable myHashtable = new Hashtable();
	
	public void setValueByName(String name, int value){
		myHashtable.put((Object)name, new Integer(value));
	}
	
	public int getValueByName(String name){
		return ((Integer)myHashtable.get(name)).intValue();
	}
}
